/**
  * @author Oscar Sanchez Caadas. 14 Nov 2011
 * 
 */

import java.io.Serializable;
import java.util.List;

public class User implements Serializable {
	private static final long serialVersionUID = 5202677722311828175L;
	/**
	 * User class with their respective properties
	 */
	public String name;
	public int port;
	public int idEntity;
	public String pathFile;
	public int idDocument;
	public boolean action; //action describes whether uploading or downloading a document
	public int op; //op determines the operation to be performed such as sending, receiving, or modify a document
	public int authz; //authorization of the operation code
	public List<Entity> listEntities;

	public List<Entity> getListaEntities() {
		return listEntities;
	}

	public void setListaEntities(List<Entity> listaEntities) {
		this.listEntities = listaEntities;
	}

	public String getName() {
		return name;
	}

	public void setName(String nombre) {
		this.name = nombre;
	}

	public int getPort() {
		return port;
	}

	public void setPort(int port) {
		this.port = port;
	}

	public String getPathFile() {
		return pathFile;
	}

	public void setPathFile(String pathCli) {
		this.pathFile = pathCli;
	}

	public int getTreball() {
		return idDocument;
	}

	public void setTreball(int treball) {
		this.idDocument = treball;
	}

	public boolean isAction() {
		return action;
	}

	public void setAction(boolean action) {
		this.action = action;
	}

	public int getIdEntity() {
		return idEntity;
	}

	public void setIdEntity(int idEntity) {
		this.idEntity = idEntity;
	}

	public int getIdTreball() {
		return idDocument;
	}

	public void setIdTreball(int idTreball) {
		this.idDocument = idTreball;
	}

	public int getOp() {
		return op;
	}

	public void setOp(int op) {
		this.op = op;
	}

	public int getAuthz() {
		return authz;
	}

	public void setAuthz(int authz) {
		this.authz = authz;
	}
}
