/**
  * @author Oscar Sanchez Caadas. 14 Nov 2011
 * 
 */
import java.io.File;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.PrintStream;

public class SaveFile {

	/**
	  * Class to save logs in files
	 * 
	 */
	
	FileOutputStream archivo;
	PrintStream p = null;

	public void saveLogUser(String log) throws FileNotFoundException {
		File archivoPath = new File("logUser.txt");
		if (!archivoPath.exists()) {
			archivo = new FileOutputStream(archivoPath, true);
			p = new PrintStream(archivo);
			p.print("Fecha emisin \t Usuario emisor \t INF \t \n");
		}
		archivo = new FileOutputStream(archivoPath, true);
		p = new PrintStream(archivo);
		p.print(log);
		p.flush();
		p.close();
	}

	public void saveLogEntity(String log) throws FileNotFoundException {
		File archivoPath = new File("logEntity.txt");
		if (!archivoPath.exists()) {
			archivo = new FileOutputStream(archivoPath, true);
			p = new PrintStream(archivo);
			p.print("Fecha recepcin \t ID Entity \t Tamao Paquete \t Role \t ID Siguiente Entity \t \n");
		}
		archivo = new FileOutputStream(archivoPath, true);
		p = new PrintStream(archivo);
		p.print(log);
		p.flush();
		p.close();
	}

	public void saveInformationEntities(String log)
			throws FileNotFoundException {
		File archivoPath = new File("infEntities.txt");
		if (!archivoPath.exists()) {
			archivo = new FileOutputStream(archivoPath, true);
			p = new PrintStream(archivo);
			p.print("Fecha recepcin \t Entity \t Informacin \t \n");
		}
		archivo = new FileOutputStream(archivoPath, true);
		p = new PrintStream(archivo);
		p.print(log);
		p.flush();
		p.close();
	}

	public void saveLogCadena(String log) throws FileNotFoundException {
		File archivoPath = new File("logCadena.txt");
		if (!archivoPath.exists()) {
			archivo = new FileOutputStream(archivoPath, true);
			p = new PrintStream(archivo);
			p.print("Fecha creacin \t Posicin \t ID Entity \t \n");
		}
		archivo = new FileOutputStream(archivoPath, true);
		p = new PrintStream(archivo);
		p.print(log);
		p.flush();
		p.close();
	}

	public void saveLogListaEntity(String log) throws FileNotFoundException {
		File archivoPath = new File("logListaEntity.txt");
		if (!archivoPath.exists()) {
			archivo = new FileOutputStream(archivoPath, true);
			p = new PrintStream(archivo);
			p.print("Fecha creacin \t EntityName \t Puerto \t \n");
		}
		archivo = new FileOutputStream(archivoPath, true);
		p = new PrintStream(archivo);
		p.print(log);
		p.flush();
		p.close();
	}

	public void saveSizePacket(String log) throws FileNotFoundException {
		File archivoPath = new File("sizePacket.txt");
		if (!archivoPath.exists()) {
			archivo = new FileOutputStream(archivoPath, true);
			p = new PrintStream(archivo);
			p.print("H\tM\tS\tmS\tEntity\tRole\tSize Packet\t \n");
		}
		archivo = new FileOutputStream(archivoPath, true);
		p = new PrintStream(archivo);
		p.print(log);
		p.flush();
		p.close();
	}

	public int saveFileReceived(String data, String nameReceiver)
			throws FileNotFoundException {
		try {
			File archivoPath = new File("File_received_from_" + nameReceiver
					+ ".txt");
			if (!archivoPath.exists()) {
				archivo = new FileOutputStream(archivoPath, true);
				p = new PrintStream(archivo);
			}
			archivo = new FileOutputStream(archivoPath, true);
			p = new PrintStream(archivo);
			p.print(data);
			p.flush();
			return 1;
		} catch (Exception e) {
			return 0;
			// TODO: handle exception
		} finally {
			p.close();
		}

	}
}
