/**
  * @author Oscar Sanchez Caadas. 14 Nov 2011
 * 
 */
import java.io.IOException;
import java.io.InputStream;

public class StatisticsInputStream extends InputStream {
	/**
	  * Class to Obtain size of a packet read
	 * 
	 */
	private InputStream source;
	private long bytesRead;

	public StatisticsInputStream(InputStream source) {
		this.source = source;
	}

	@Override
	public int read() throws IOException {
		int value = source.read();
		bytesRead++;
		return value;
	}

	public long getBytesRead() {
		return bytesRead;
	}

}
